claw::net::basic_socketbuf< CharT, Traits > Class Template Reference

Socket buffer to be used with std::basic_stream, for easy socket reading and writing. More...

`#include <basic_socketbuf.hpp>`

Inheritance diagram for claw::net::basic_socketbuf< CharT, Traits >:

## Public Types

typedef CharT | char_type
| The type of the characters in the stream.
typedef Traits | traits_type
| The traits carry some informations about the char_type.
typedef traits_type::int_type | int_type
| The type used to represent integers.
typedef traits_type::pos_type | pos_type
| The type used to represent a position in the stream.
typedef traits_type::off_type | off_type
| The type used to represent a delta in the positions.
typedef basic_socketbuf< char_type, traits_type > | self_type
| The type of this implementation.

## Public Member Functions

| basic_socketbuf (int read_limit=-1)
self_type * | open (const std::string &addr, int port)
self_type * | open (socket_traits::descriptor d)
self_type * | close ()
bool | is_open () const
void | set_read_time_limit (int read_limit)

## Protected Member Functions

virtual int | sync ()
virtual int_type | underflow ()
virtual int_type | overflow (int_type c=traits_type::eof())

## Detailed Description

template<typename CharT, typename Traits>
class claw::net::basic_socketbuf< CharT, Traits >

Socket buffer to be used with std::basic_stream, for easy socket reading and writing.

Author
  Julien Jorge

Definition at line 48 of file basic_socketbuf.hpp.

## Member Typedef Documentation

## char_type

template<typename CharT, typename Traits>

typedef CharT claw::net::basic_socketbuf< CharT, Traits >::char_type

The type of the characters in the stream.

Definition at line 53 of file basic_socketbuf.hpp.

## int_type

template<typename CharT, typename Traits>

typedef traits_type::int_type claw::net::basic_socketbuf< CharT, Traits >::int_type

The type used to represent integers.

Definition at line 59 of file basic_socketbuf.hpp.

## off_type

template<typename CharT, typename Traits>

typedef traits_type::off_type claw::net::basic_socketbuf< CharT, Traits >::off_type

The type used to represent a delta in the positions.

Definition at line 65 of file basic_socketbuf.hpp.

## pos_type

template<typename CharT, typename Traits>

typedef traits_type::pos_type claw::net::basic_socketbuf< CharT, Traits >::pos_type

The type used to represent a position in the stream.

Definition at line 62 of file basic_socketbuf.hpp.

## self_type

template<typename CharT, typename Traits>

typedef basic_socketbuf<char_type, traits_type> claw::net::basic_socketbuf< CharT, Traits >::self_type

The type of this implementation.

Definition at line 68 of file basic_socketbuf.hpp.

## traits_type

template<typename CharT, typename Traits>

typedef Traits claw::net::basic_socketbuf< CharT, Traits >::traits_type

The traits carry some informations about the char_type.

Definition at line 56 of file basic_socketbuf.hpp.

The documentation for this class was generated from the following file:

- basic_socketbuf.hpp